Retrieve Privacy Policy History

Retrieves the Privacy Policy acceptance history for an Account by UID.

GET
/identity/v2/manage/account/{uid}/privacypolicy/history

Retrieves the Privacy Policy acceptance history for an Account by UID.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Path Parameters

uid*string

The UID associated with the User

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/identity/v2/manage/account/43e4417bd2de4a1fa82445274f864203/privacypolicy/history"
{
  "Uid": "123e4567-e89b-12d3-a456-426614174000",
  "Current": {
    "Version": "1.0",
    "AcceptSource": "Web",
    "AcceptDateTime": "2024-03-20T15:30:00Z"
  },
  "History": [
    {
      "Version": "1.0",
      "AcceptSource": "Mobile App",
      "AcceptDateTime": "2023-05-15T10:00:00Z"
    }
  ]
}

{
  "ErrorCode": 920,
  "Message": "API key is invalid",
  "Description": "The provided LoginRadius API key is invalid, please use a valid API key of your LoginRadius account."
}

{
  "ErrorCode": 902,
  "Message": "The API secret is unauthorized",
  "Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}

{
  "ErrorCode": 901,
  "Message": "The API key is unauthorized",
  "Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}